Subject: [secdir] Security review of draft-daboo-ical-vcard-parameter-encoding-02

From: "Hilarie Orman" <[email-masked]>
Date: Mon, 19 Nov 2012 15:25:54 -0700

Parameter Value Encoding in iCalendar and vCard
draft-daboo-ical-vcard-parameter-encoding-02

Do not be alarmed.  I have reviewed this document as part of the
security directorate's ongoing effort to review all IETF documents
being processed by the IESG.  These comments were written primarily
for the benefit of the security area directors.  Document editors and
WG chairs should treat these comments just like any other last call
comments.

The document defines an character escape mechanism.  This is not
a literary device, but a way of encoding the double-quote and
linefeed characters in vcard entries.

This has no new security implications that I am aware of.  The author
states that it has minimal impact on existing implementations, so
I assume that it is not likely to cause severe parsing problems.

Hilarie Orman